Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.ee
Class JNDIManagedRuntime

    java.lang.Object
      org.apache.openjpa.ee.AbstractManagedRuntime
          org.apache.openjpa.ee.JNDIManagedRuntime

All Implemented Interfaces:
  ManagedRuntime

    public class JNDIManagedRuntime

extends AbstractManagedRuntime
implements ManagedRuntime

Implementation of the `ManagedRuntime` interface that uses JNDI to find the TransactionManager.

Author:
  Abe White

Constructor Summary
`JNDIManagedRuntime()`

Method Summary
`Throwable` | `getRollbackCause()` Returns the Throwable that caused the current transaction to be marked for rollback, provided that any exists.
`TransactionManager` | `getTransactionManager()` Return the cached TransactionManager instance.
`String` | `getTransactionManagerName()` Return the location of the `TransactionManager` in JNDI.
`void` | `setRollbackOnly(Throwable cause)` Sets the rollback only flag on the current transaction.
`void` | `setTransactionManagerName(String name)` Set the location of the `TransactionManager` in JNDI.

Methods inherited from class org.apache.openjpa.ee.AbstractManagedRuntime
`doNonTransactionalWork, getTransactionKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.ee.ManagedRuntime
`doNonTransactionalWork, getTransactionKey`

Constructor Detail

### JNDIManagedRuntime

    public JNDIManagedRuntime()

Method Detail

### getTransactionManagerName

    public String getTransactionManagerName()

  Return the location of the `TransactionManager` in JNDI.

### setTransactionManagerName

    public void setTransactionManagerName(String name)

  Set the location of the `TransactionManager` in JNDI.

### getTransactionManager

    public TransactionManager getTransactionManager()
                                             throws Exception

  Return the cached TransactionManager instance.

  Specified by:
    `getTransactionManager` in interface `ManagedRuntime`
  Throws:
    `Exception`

### setRollbackOnly

    public void setRollbackOnly(Throwable cause)
                         throws Exception

  Description copied from interface: `ManagedRuntime`
  Sets the rollback only flag on the current transaction. If the TransactionManager is capable of tracking the cause of the rollback-only flag, it will also pass along cause information.

  Specified by:
    `setRollbackOnly` in interface `ManagedRuntime`
  Parameters:
    `cause` - the Throwable that caused the transaction to be marked for rollback, or null of none is known
  Throws:
    `Exception`

### getRollbackCause

    public Throwable getRollbackCause()
                               throws Exception

  Description copied from interface: `ManagedRuntime`
  Returns the Throwable that caused the current transaction to be marked for rollback, provided that any exists.

  Specified by:
    `getRollbackCause` in interface `ManagedRuntime`
  Returns:
    the Throwable cause, or null if none
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.